Environment Quality Preview
curl --request POST \
--url https://{host}/api/environments/{owner}/{name}/quality/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report_id": "<string>",
"rule": "mixed",
"minimum_repetitions": 2,
"exploration_percent": 10
}
'import requests
url = "https://{host}/api/environments/{owner}/{name}/quality/preview"
payload = {
"report_id": "<string>",
"rule": "mixed",
"minimum_repetitions": 2,
"exploration_percent": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
report_id: '<string>',
rule: 'mixed',
minimum_repetitions: 2,
exploration_percent: 10
})
};
fetch('https://{host}/api/environments/{owner}/{name}/quality/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"digest": "<string>",
"version": "<string>",
"selected": 123,
"excluded": 123,
"preserved_eval": 123,
"sources": {},
"reasons": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Environment Quality Preview
POST
/
api
/
environments
/
{owner}
/
{name}
/
quality
/
preview
Environment Quality Preview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required string length:
1 - 128Body
application/json